<?php
/* 	require_once("./src/autoload.php");
	
	
	$cookie = array(
		'cookie' 		=> array(
			'use' 		=> true,
			'file' 		=> __DIR__ . "/cookie.txt"
		)
	);
	$config = array(
		'representantes_legales' 	=> true,
		'cantidad_trabajadores' 	=> true,
		'establecimientos' 			=> true,
		'cookie' 					=> $cookie
	);
	$sunat = new \Sunat\ruc( $config );
	
	$ruc = $_POST['ruc'];

	
	$search1 = $sunat->consulta($ruc);

	
	
	echo $search1->json(); */
	
	
	$ruc = $_POST['ruc'];

//$data = file_get_contents("http://siis.ovh/padron/consulta.php?doc=".$ruc);
$data = file_get_contents("https://api.apis.net.pe/v1/ruc?numero=".$ruc);

//echo $data;


$info = json_decode($data, true);
 
if($data==='[]' || $info['nombre']===''){
	$datos = array(0 => 'nada');
	echo json_encode($datos);
}else{
	$datos ['api_est'] = true;
	$datos ['api_doc'] = $info['numeroDocumento'];
	$datos ['api_nom'] = $info['nombre'];
	$datos ['api_dir'] = $info['direccion'];
	$datos ['api_msj'] = 'Datos encontrados.';
	echo json_encode($datos);
} 

  
	
	
	
	
	
?>
